stcmbackend.segmentacionesAutomatizadas = {
	sharedEvents(self, modal) {
		// Volver a Listas de programación de segmentaciones
		$('#back').off().on('click', function() {
			window.location.href = '#!segmentaciones_automatizadas';
		});

		// Cargar tiempos de ejecucion
		let times = '';
		for(let i = 1; i <= 60; i++) {
			times += `<option value="${i}">${i}</option>`;
		}
		$('#tiempoEntreEjecuciones').html(times);

		// País
		let countryModal = new TableCountries(0, modal);
		$('#searchCountry').off().on('click', function() {
			countryModal.setEvents();
		});
	}
};